/*
 * BRLTTY - A background process providing access to the console screen (when in
 *          text mode) for a blind person using a refreshable braille display.
 *
 * Copyright (C) 1995-2022 by The BRLTTY Developers.
 *
 * BRLTTY comes with ABSOLUTELY NO WARRANTY.
 *
 * This is free software, placed under the terms of the
 * GNU Lesser General Public License, as published by the Free Software
 * Foundation; either version 2.1 of the License, or (at your option) any
 * later version. Please see the file LICENSE-LGPL for details.
 *
 * Web Page: http://brltty.app/
 *
 * This software is maintained by Dave Mielke <dave@mielke.cc>.
 */

{ .identifier = eciGeneralAmericanEnglish,
  .name = "American-English",
  .language = "en",
  .territory = "US",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciBritishEnglish,
  .name = "British-English",
  .language = "en",
  .territory = "GB",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciCastilianSpanish,
  .name = "Castilian-Spanish",
  .language = "es",
  .territory = "ES",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciMexicanSpanish,
  .name = "Mexican-Spanish",
  .language = "es",
  .territory = "MX",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciStandardFrench,
  .name = "Standard-French",
  .language = "fr",
  .territory = "FR",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciCanadianFrench,
  .name = "Canadian-French",
  .language = "fr",
  .territory = "CA",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciStandardGerman,
  .name = "Standard-German",
  .language = "de",
  .territory = "DE",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciStandardItalian,
  .name = "Standard-Italian",
  .language = "it",
  .territory = "IT",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciMandarinChineseGB,
  .name = "Standard-Mandarin-GBK",
  .language = "zh",
  .territory = "CN",
  .encoding = "GBK"
},

{ .identifier = eciMandarinChinesePinYin,
  .name = "Standard-Mandarin-PinYin",
  .language = "zh",
  .territory = "CN",
  .encoding = "GBK"
},

{ .identifier = eciMandarinChineseUCS,
  .name = "Standard-Mandarin-UCS2",
  .language = "zh",
  .territory = "CN",
  .encoding = "UCS-2"
},

{ .identifier = eciTaiwaneseMandarinBig5,
  .name = "Taiwanese-Mandarin-Big5",
  .language = "zh",
  .territory = "TW",
  .encoding = "BIG5"
},

{ .identifier = eciTaiwaneseMandarinZhuYin,
  .name = "Taiwanese-Mandarin-ZhuYin",
  .language = "zh",
  .territory = "TW",
  .encoding = "BIG5"
},

{ .identifier = eciTaiwaneseMandarinPinYin,
  .name = "Taiwanese-Mandarin-PinYin",
  .language = "zh",
  .territory = "TW",
  .encoding = "BIG5"
},

{ .identifier = eciTaiwaneseMandarinUCS,
  .name = "Taiwanese-Mandarin-UCS2",
  .language = "zh",
  .territory = "TW",
  .encoding = "UCS-2"
},

{ .identifier = eciBrazilianPortuguese,
  .name = "Brazilian-Portuguese",
  .language = "pt",
  .territory = "BR",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciStandardJapaneseSJIS,
  .name = "Standard-Japanese-SJIS",
  .language = "ja",
  .territory = "JP",
  .encoding = "SJIS"
},

{ .identifier = eciStandardJapaneseUCS,
  .name = "Standard-Japanese-UCS2",
  .language = "ja",
  .territory = "JP",
  .encoding = "UCS-2"
},

{ .identifier = eciStandardFinnish,
  .name = "Standard-Finnish",
  .language = "fi",
  .territory = "FI",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciStandardKoreanUHC,
  .name = "Standard-Korean-UHC",
  .language = "ko",
  .territory = "KR",
  .encoding = "UHC"
},

{ .identifier = eciStandardKoreanUCS,
  .name = "Standard-Korean-UCS2",
  .language = "ko",
  .territory = "KR",
  .encoding = "UCS-2"
},

{ .identifier = eciStandardCantoneseGB,
  .name = "Standard-Cantonese-GBK",
  .language = "zh",
  .territory = "HK",
  .encoding = "GBK"
},

{ .identifier = eciStandardCantoneseUCS,
  .name = "Standard-Cantonese-UCS2",
  .language = "zh",
  .territory = "HK",
  .encoding = "UCS-2"
},

{ .identifier = eciHongKongCantoneseBig5,
  .name = "HongKong-Cantonese-Big5",
  .language = "zh",
  .territory = "HK",
  .encoding = "BIG5"
},

{ .identifier = eciHongKongCantoneseUCS,
  .name = "HongKong-Cantonese-UCS2",
  .language = "zh",
  .territory = "HK",
  .encoding = "UCS-2"
},

{ .identifier = eciStandardDutch,
  .name = "Standard-Dutch",
  .language = "nl",
  .territory = "NL",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciStandardNorwegian,
  .name = "Standard-Norwegian",
  .language = "no",
  .territory = "NO",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciStandardSwedish,
  .name = "Standard-Swedish",
  .language = "sv",
  .territory = "SE",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciStandardDanish,
  .name = "Standard-Danish",
  .language = "da",
  .territory = "DK",
  .encoding = "ISO-8859-1"
},

{ .identifier = eciStandardThaiTIS,
  .name = "Standard-Thai-TIS620",
  .language = "th",
  .territory = "TH",
  .encoding = "TIS-620"
},

